# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Karl Trygve Kalleberg <karltk@gentoo.org>
# /space/gentoo/cvsroot/gentoo-x86/net-www/opera/opera-6.0.ebuild,v 1.4 2002/05/20 18:09:34 agenkin Exp

DESCRIPTION="Opera web browser, version 6.10"
HOMEPAGE="http://www.opera.com"

case "$(gcc -dumpversion)" in
    2.95*)
	GCCVER=2.95
	TARVER=20021029.2
	;;
    2.96*)
	GCCVER=2.96
	TARVER=20021029.3
	;;
    3.2)
	GCCVER=3.2
	TARVER=20021029.4
	;;
esac
	
SRC_URI="http://www.panix.com/opera/files/linux/610/final/en/i386/shared/gcc-${GCCVER}/opera-6.10-${TARVER}-shared-qt.i386.tar.bz2"

DEPEND="=x11-libs/qt-3*
	=media-libs/libpng-1.2*
	media-libs/jpeg
	=media-libs/lcms-1*
	=media-libs/libmng-1*
	=sys-libs/zlib-1*
	media-libs/fontconfig
	media-libs/lcms
	x11-base/xfree"

src_install() {
	cd ${WORKDIR}/$(basename ${A} .tar.bz2)

	mv install.sh install.sh_orig

	# stupid us, if we don't have a /etc directory already =)
	mkdir ${D}/etc

	sed -e "s:/usr/share/pixmaps:${D}/usr/share/pixmaps:g" \
		-e "s:/usr/share/applnk:${D}/usr/share/applnk:g" \
		-e "s:/usr/share/icons:${D}/usr/share/icons:g" \
		-e "s:/etc:${D}/etc:g" \
		-e "s:/usr/share/gnome:${D}/usr/share/gnome:g" \
		-e "s:/opt/gnome/share\(/gnome\)?:${D}/usr/share/gnome:g" \
		install.sh_orig > install.sh
	chmod 755 install.sh

	echo yes | ./install.sh \
		--exec_prefix=${D}/usr/libexec/opera \
		--wrapperdir=${D}/usr/bin \
		--docdir=${D}/usr/share/doc/${P} \
		--sharedir=${D}/usr/share/opera \
		--plugindir=${D}/usr/share/opera/plugins || die
	rm ${D}/usr/share/doc/${P}/help
	dosym /usr/share/opera/help /usr/share/doc/${P}/help
	dosed /usr/bin/opera

	#install the icons
	insinto /usr/share/icons
	doins images/opera.xpm
	insinto /etc/X11/wmconfig
	doins images/opera.xpm
	insinto /etc/X11/applnk/Internet
	doins images/opera.xpm
	insinto /usr/share/pixmaps
	doins images/opera.xpm
	
	if [ "`use gnome`" ]; then
		insinto /usr/share/gnome/pixmaps
		doins images/opera.xpm
	fi

	insinto /etc/env.d
	doins ${FILESDIR}/10opera601
}
